On Son, 2008-05-04 at 19:03 +0200, Bernd Petrovitsch wrote:
> On Sun, 2008-05-04 at 17:36 +0200, Holger Levsen wrote:
> > Hi,
> > 
> > while packaging 0.5.6rc1 I tried to set LIBDIR to /usr/lib/olsrd, but this 
> > didnt work, the plugins ended up there, but olsrd couldnt find them.
> > 
> > I think this is a bug :-)
> 
> Probably.
> Does something like the following help?

It didn't help when I tried it out.
But the following worked:

--- a/Makefile.inc      Sun May 04 15:41:44 2008 +0200
+++ b/Makefile.inc      Sun May 04 19:02:40 2008 +0200
@@ -128,6 +128,7 @@
 else
 # c and ld flags for main
 LDFLAGS +=     -Wl,-export-dynamic 
+LDFLAGS +=     -Wl,-rpath,$(LIBDIR)
 endif
 # LDFLAGS for all 
 LDFLAGS +=     -Wl,--warn-common


Disclaimer: Patch edited by hand. But the point should be clear
(together with the man page of `ld`).

	Bernd

-- 
Firmix Software GmbH                   http://www.firmix.at/
mobil: +43 664 4416156                 fax: +43 1 7890849-55
          Embedded Linux Development and Services




